Updates the type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

company_type
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the type

string

Required

description

Description of the type

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization

Request Formats :

application/json, text/json

Sample:
{
  "id": "952dc529-c828-4c17-a2b6-41d18b9a1f55",
  "name": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "37e6b1ec-a9be-4375-ac5f-1badc57fd2f0",
  "sales_organization_code": "sample string 5"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.